// https://material.angular.io/guide/theming#custom-themes-with-sass
@use '@angular/material' as mat;
@include mat-core();

/* Ignore error: identifier expectedscss(css-identifierexpected) */
mat.$theme-ignore-duplication-warnings: true;


$theme-primary: (
  // define a real custom palette (using http://mcg.mbitson.com)
  main: #1443c5,
  lighter: #b9c7ee,
  darker: #0b2cb0,
  200: #1443c5,
  // For slide toggle,
  contrast:
    (
      main: $light-primary-text,
      lighter: $dark-primary-text,
      darker: $light-primary-text
    ),
);

$theme-secondary: (
  main: #797979,
  lighter: #d7d7d7,
  darker: #5c5c5c,
  200: #797979,
  // For slide toggle,
  contrast:
    (
      main: $light-primary-text,
      lighter: $dark-primary-text,
      darker: $light-primary-text
    )
);

$mat-warn: (
  main: #ff0000,
  lighter: #ffb3b3,
  darker: #ff0000,
  200: #ff0000,
  // For slide toggle,
  contrast : (
    main: $light-primary-text,
    lighter: $dark-primary-text,
    darker: $light-primary-text,
  )
);


// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://www.google.com/design/spec/style/color.html
$custom-app-primary: mat.define-palette($theme-primary, main, lighter, darker);
$custom-app-accent: mat.define-palette($theme-secondary, main, lighter, darker);

$custom-app-warn: mat.define-palette($mat-warn, main, lighter, darker);

$custom-app-theme: mat.define-light-theme((
 color: (
   primary: $custom-app-primary,
   accent: $custom-app-accent,
   warn: $custom-app-warn,
 ),
 typography: mat.define-typography-config(),
 density: 0,
));

@include mat.all-component-colors($custom-app-theme);
